%bcond_with network

Summary:        Simplified packaging of Python modules
Name:           python-flit
Version:        3.7.1
Release:        3%{?dist}
License:        BSD and ASL 2.0 and Python
URL:            https://flit.readthedocs.io/en/latest/
Source0:        https://github.com/takluyver/flit/archive/%{version}/flit-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:	python3-devel, pyproject-rpm-macros, python3-pip

%description
Flit is a simple way to put Python packages and modules on PyPI.

Flit only creates packages in the new 'wheel' format. People using older
versions of pip (<1.5) or easy_install will not be able to install them.

Flit packages a single importable module or package at a time, using the import
name as the name on PyPI. All sub-packages and data files within a package are
included automatically.

Flit requires Python 3, but you can use it to distribute modules for Python 2,
so long as they can be imported on Python 3.

%package -n python3-flit
Summary:	Simplified packaging of Python modules
Requires:	python3-flit-core = %{version}-%{release}
Provides:	bundled(python3dist(tornado))
Recommends:	python3-pygments

%description -n python3-flit
Flit is a simple way to put Python packages and modules on PyPI.

Flit only creates packages in the new 'wheel' format. People using older
versions of pip (<1.5) or easy_install will not be able to install them.

Flit packages a single importable module or package at a time, using the import
name as the name on PyPI. All sub-packages and data files within a package are
included automatically.

Flit requires Python 3, but you can use it to distribute modules for Python 2,
so long as they can be imported on Python 3.

%package -n python3-flit-core
Summary:	PEP 517 build backend for packages using Flit

%description -n python3-flit-core
This provides a PEP 517 build backend for packages using Flit.
The only public interface is the API specified by PEP 517,
at flit_core.buildapi.



%prep
%autosetup -n flit-%{version}



%build
%if %{without network}
export FLIT_NO_NETWORK=1
%endif

# first, build flit_core, then use it building flit.
cd flit_core
%pyproject_wheel
cd ..

export PYTHONPATH=$PWD:$PWD/flit_core
%pyproject_wheel



%install
%pyproject_install



%check
# missing many dependences to make test.



%files -n python3-flit
%license LICENSE
%doc README.rst
%{python3_sitelib}/flit-*.dist-info/
%{python3_sitelib}/flit/
%{_bindir}/flit

%files -n python3-flit-core
%license LICENSE
%doc flit_core/README.rst
%{python3_sitelib}/flit_core-*.dist-info/
%{python3_sitelib}/flit_core/



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 26 2022 Zhao Zhen <jeremiazhao@tencent.com> - 3.7.1-1
- initial building.
